Bug 1258899 - (jeremeamia/superclosure) Review Request: php-jeremeamia-superclosure - Serialize Closure objects, including their context and binding
Review Request: php-jeremeamia-superclosure - Serialize Closure objects, incl...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 09:36 EDT by Remi Collet
Modified: 2015-09-25 15:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.1.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-17 21:31:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo-full.log (14.70 KB, text/plain)
2015-09-04 11:52 EDT, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (8.43 KB, text/plain)
2015-09-04 11:52 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (6.43 KB, text/plain)
2015-09-04 11:53 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-09-01 09:36:29 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/9d06cb5bcd24d0d2724e58573c610f53856e14f0/php/php-jeremeamia-superclosure/php-jeremeamia-superclosure.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-jeremeamia-superclosure-2.1.0-1.remi.src.rpm
Description: 
Even though serializing closures is "not allowed" by PHP,
the SuperClosure library makes it possible

To use this library, you just have to add, in your project:
  require-once '/usr/share/php/SuperClosure/autoload.php';

Fedora Account System Username: remi
Comment 1 Shawn Iwinski 2015-09-04 11:52:20 EDT
Created attachment 1070343 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST
Comment 2 Shawn Iwinski 2015-09-04 11:52:48 EDT
Created attachment 1070344 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:06:38 CEST
Comment 3 Shawn Iwinski 2015-09-04 11:53:40 EDT
Created attachment 1070345 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1258899
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Shawn Iwinski 2015-09-04 11:55:50 EDT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import



No blockers.

===== APPROVED =====
Comment 5 Remi Collet 2015-09-04 12:13:39 EDT
Thanks!


New Package SCM Request
=======================
Package Name: php-jeremeamia-superclosure
Short Description: Serialize Closure objects, including their context and binding
Upstream URL: https://github.com/jeremeamia/super_closure
Owners: remi
Branches: f22 f23 epel7
InitialCC:
Comment 6 Gwyn Ciesla 2015-09-04 16:56:16 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2015-09-05 02:07:22 EDT
php-jeremeamia-superclosure-2.1.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15138
Comment 8 Fedora Update System 2015-09-06 13:51:56 EDT
php-jeremeamia-superclosure-2.1.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-jeremeamia-superclosure'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7941
Comment 9 Fedora Update System 2015-09-06 14:51:54 EDT
php-jeremeamia-superclosure-2.1.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-jeremeamia-superclosure'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15138
Comment 10 Fedora Update System 2015-09-06 17:57:06 EDT
php-jeremeamia-superclosure-2.1.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-jeremeamia-superclosure'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15137
Comment 11 Fedora Update System 2015-09-17 21:31:54 EDT
php-jeremeamia-superclosure-2.1.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-09-18 14:33:57 EDT
php-jeremeamia-superclosure-2.1.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-09-25 15:54:51 EDT
php-jeremeamia-superclosure-2.1.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.